<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::projection_function&lt; K &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1projection__function.html">projection_function</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="structdlib_1_1projection__function-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::projection_function&lt; K &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a71f68f479f030a3291c55be89dedcb8f"><td class="memItemLeft" align="right" valign="top"><a id="a71f68f479f030a3291c55be89dedcb8f"></a>
typedef K&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_type</b></td></tr>
<tr class="separator:a71f68f479f030a3291c55be89dedcb8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ac88611483488df664fd1d3cc2cf874"><td class="memItemLeft" align="right" valign="top"><a id="a8ac88611483488df664fd1d3cc2cf874"></a>
typedef K::scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:a8ac88611483488df664fd1d3cc2cf874"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af85c328066cf197ec710ed5c1b5efc3d"><td class="memItemLeft" align="right" valign="top"><a id="af85c328066cf197ec710ed5c1b5efc3d"></a>
typedef K::sample_type&#160;</td><td class="memItemRight" valign="bottom"><b>sample_type</b></td></tr>
<tr class="separator:af85c328066cf197ec710ed5c1b5efc3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a30131aceb6ce58e838e8f529b0e372"><td class="memItemLeft" align="right" valign="top"><a id="a9a30131aceb6ce58e838e8f529b0e372"></a>
typedef K::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a9a30131aceb6ce58e838e8f529b0e372"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba95611180b1e67a0f8cb26f5a6addc4"><td class="memItemLeft" align="right" valign="top"><a id="aba95611180b1e67a0f8cb26f5a6addc4"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; scalar_type, 0, 1, mem_manager_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_vector_type</b></td></tr>
<tr class="separator:aba95611180b1e67a0f8cb26f5a6addc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae409f39c90a226b37ea6ffe35601246b"><td class="memItemLeft" align="right" valign="top"><a id="ae409f39c90a226b37ea6ffe35601246b"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; scalar_type, 0, 0, mem_manager_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_matrix_type</b></td></tr>
<tr class="separator:ae409f39c90a226b37ea6ffe35601246b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae115ba56b8ae53e255aab1beccfdc23a"><td class="memItemLeft" align="right" valign="top"><a id="ae115ba56b8ae53e255aab1beccfdc23a"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; sample_type, 0, 1, mem_manager_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>sample_vector_type</b></td></tr>
<tr class="separator:ae115ba56b8ae53e255aab1beccfdc23a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fcec2ce076be7ace45059b2a83f6c63"><td class="memItemLeft" align="right" valign="top"><a id="a4fcec2ce076be7ace45059b2a83f6c63"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">scalar_vector_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>result_type</b></td></tr>
<tr class="separator:a4fcec2ce076be7ace45059b2a83f6c63"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2420463c7677aeb946ae49dae3e22be5"><td class="memItemLeft" align="right" valign="top"><a id="a2420463c7677aeb946ae49dae3e22be5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>projection_function</b> (const <a class="el" href="structdlib_1_1projection__function.html">projection_function</a> &amp;f)</td></tr>
<tr class="separator:a2420463c7677aeb946ae49dae3e22be5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3d840119413438b15f7aa9fc245b5e7"><td class="memItemLeft" align="right" valign="top"><a id="ad3d840119413438b15f7aa9fc245b5e7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>projection_function</b> (const <a class="el" href="classdlib_1_1matrix.html">scalar_matrix_type</a> &amp;weights_, const K &amp;kernel_function_, const <a class="el" href="classdlib_1_1matrix.html">sample_vector_type</a> &amp;basis_vectors_)</td></tr>
<tr class="separator:ad3d840119413438b15f7aa9fc245b5e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1a574b5cf6fcf1cc2c3b0af16b7dce4"><td class="memItemLeft" align="right" valign="top"><a id="aa1a574b5cf6fcf1cc2c3b0af16b7dce4"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>out_vector_size</b> () const</td></tr>
<tr class="separator:aa1a574b5cf6fcf1cc2c3b0af16b7dce4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9424eb470b6af74b0b9e699370006ea0"><td class="memItemLeft" align="right" valign="top"><a id="a9424eb470b6af74b0b9e699370006ea0"></a>
const <a class="el" href="classdlib_1_1matrix.html">result_type</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (const sample_type &amp;x) const</td></tr>
<tr class="separator:a9424eb470b6af74b0b9e699370006ea0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a8fec661a1dec6fc5a30173a0b328c63d"><td class="memItemLeft" align="right" valign="top"><a id="a8fec661a1dec6fc5a30173a0b328c63d"></a>
<a class="el" href="classdlib_1_1matrix.html">scalar_matrix_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>weights</b></td></tr>
<tr class="separator:a8fec661a1dec6fc5a30173a0b328c63d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac65f33c245ef113a4f94051a8f0c797e"><td class="memItemLeft" align="right" valign="top"><a id="ac65f33c245ef113a4f94051a8f0c797e"></a>
K&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_function</b></td></tr>
<tr class="separator:ac65f33c245ef113a4f94051a8f0c797e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae31ebaaec1e2a763a2faa473a3e5e485"><td class="memItemLeft" align="right" valign="top"><a id="ae31ebaaec1e2a763a2faa473a3e5e485"></a>
<a class="el" href="classdlib_1_1matrix.html">sample_vector_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>basis_vectors</b></td></tr>
<tr class="separator:ae31ebaaec1e2a763a2faa473a3e5e485"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad59c07af8f3074afec66ae2de7b825a2"><td class="memItemLeft" align="right" valign="top"><a id="ad59c07af8f3074afec66ae2de7b825a2"></a>
<a class="el" href="classdlib_1_1matrix.html">result_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>temp1</b></td></tr>
<tr class="separator:ad59c07af8f3074afec66ae2de7b825a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66ad5ad87268fcac978e0f9d51cf64d9"><td class="memItemLeft" align="right" valign="top"><a id="a66ad5ad87268fcac978e0f9d51cf64d9"></a>
<a class="el" href="classdlib_1_1matrix.html">result_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>temp2</b></td></tr>
<tr class="separator:a66ad5ad87268fcac978e0f9d51cf64d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="function_8h_source.html">function.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
